Repository 32bit  Forum
Repository 64bit  Wiki

Avant Window Navigator e dipendenze

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Avant Window Navigator e dipendenze

Messaggioda Thraphyx » mar lug 13, 2010 12:32

Buongiorno slackers!
Ieri, preso da una voglia irrefrenabile di abbellire il desktop, ho compilato AWN e dipendenze, visto che non l'ho trovata nel repo (neanche in quello della 13.0)
Per chi non lo conoscesse, http://it.wikipedia.org/wiki/Avant_Window_Navigator .

I programmi necessari, sono
Codice: Seleziona tutto
gconf
orbit
gobject-introspection
gir-repository
vala
libdesktop-agnostic
pyxdg
libgtop
bazaar
avant-window-navigator

[ sono in ordine di compilazione, per la semplice installazione basta metterli tutti]

Sono tutti x86_64 e compilati sulla 13.1.
GConf, ORbit e pyxdg li ho presi dal repo.
GObject e Vala li ho ricompilati perchè sono solo sul repo 32bit.
Per il resto ho creato slackbuilds e pacchetti.
Ovviamente, tutti i pacchetti sono stati compilati sulla slack full pulita ;)
Io la sto testando sulla mia installazione, con GNOME, quindi vorrei sapere come si comporta con gli altri DE. :D

Spero che a qualcuno interessi, infondo è comoda :D
Questo è uno screenshot del mio desktop con AWN attiva
http://img684.imageshack.us/img684/3258/schermatay.jpg

Un "paio" di righe di spiegazione di tutte queste dipendenze per una cavolo di dock :lol:
Codice: Seleziona tutto
libdesktop-agnostic:
Dalla nuova versione di AWN, la 0.4.0 che ho compilato, è una dipendenza necessaria.

GObject-introspection:
Dipendenza di libdesktop-agnostic.

gir-repository:
Librerie extra per GObject. Senza, libdesktop-agnostic non compila.

GConf:
Per libdesktop-agnostic GConf è opzionale, tuttavia senza GConf AWN non compila.
Quindi ho compilato libdesktop-agnostic (e di conseguenza anche AWN) col supporto a GConf.Spero che a qualcuno interessi, infondo è comoda :D
Questo è uno screenshot del mio desktop con AWN attiva
libdesktop-agnostic si può ricompilare anche senza avere GCconf installato, qualora servisse per altro, ma se si installa come dipendenza di AWN, GConf è necessario.

ORbit:
Dipendenza di GConf

Vala:
Per AWN vala è opzionale, serve per le applets, mentre per libdesktop-agnostic,
nonostante requirebuilder non lo segnali come dipendenza, è necessario
affinchè la compilazione vada a buon fine.
In ogni caso è utile per eventuali applets di AWN.

Bazaar:
Sul wiki di AWN dicono che Bazaar serve solo per i developers, ma senza di esso, awm-setting, il gestore delle impostazioni di AWN, non si avvia.

pyxdg:
Dipendenza di AWN

libgtop:
Dipendenza di AWN



Io ieri ho scritto a Loris, magari se mi abilita , li metto sul repo.
Altrimenti dopo le uppo da qualche parte e posto i link :D

EDIT
Li ho uppati, ecco i link per il download dei pacchetti
-----Tutti i pacchetti a 32 bit adesso sono presenti sul repo 64 bit -----

EDIT2
Ho compilato anche i pacchetti a 32bit non presenti sul repo:
-----Tutti i pacchetti a 32 bit adesso sono presenti sul repo 32 bit -----

Ho aggiornato il link a bazaar.. la versione 64bit in realtà era una mezza i486 :lol: Ho rifatto il pacchetto

EDIT3
Rifatti i pacchetti di libdesktop-agnostic e avant-window-navigator per i486 e x86_64.
Aggiornati i link.

EDIT4
Pacchettizzato anche awn-extras, le applet per awn (versione a 32 bit sul repo)
---- Versione a 64bit presente sul repo ----

Questo è compilato senza libgnome e quindi senza le applet del menu. Se vi interessa ho anche la versione col supporto a libgnome (però è fatta sulla mia installazione personalizzata, quindi non è "degna del repository" :lol: ).
Per alcune applet, come ad esempio i feedreader, servono moduli python aggiuntivi che non ho ancora compilato. Le applet vengono comunque installate, solo che per avviarle ci vogliono gli eventuali moduli extra, che vengono segnalati dalla stessa applicazione.

EDIT5
TUTTI I PACCHETTI A 32 BIT ADESSO SONO STATI MESSI SUL REPO.

EDIT6
TUTTI I PACCHETTI A 64 BIT ADESSO SONO STATI MESSI SUL REPO.
Ultima modifica di Thraphyx il gio set 09, 2010 15:41, modificato 6 volte in totale.
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

Re: Avant Window Navigator e dipendenze

Messaggioda 6C33C » mar lug 13, 2010 21:29

Grazie li prendo !
Provo fare i pacchetti per la 32 . :D
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: Avant Window Navigator e dipendenze

Messaggioda 6C33C » mer lug 14, 2010 12:48

Mi sa che senza gnome non si riesce a compilarlo mi da errore, mentre le dipendenze
sono riuscito a compilarle tutte.
Tu Thaphyx hai installato gnome ?
Se si mi puoi dire che versione è ?
Grazie.
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: Avant Window Navigator e dipendenze

Messaggioda Thraphyx » mer lug 14, 2010 13:30

Io ho compilato tutto su una slackware64 13.1 full, quindi senza gnome. Poi dopo le ho installate su una slack con gnome :D
Hai messo tutte le dipendenze, anche GConf, ORbit e pyxdg (di queste ultime non ho messo i link perchè le ho scaricate dal repo di slacky)?
Se hai messo anche queste, che errore ti da la compilazione di AWN?
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

Re: Avant Window Navigator e dipendenze

Messaggioda anycolouryoulike » mer lug 14, 2010 14:27

Se mettessi tutto sul repository credo che sarebbe utile a molti (me per primo :) )
Mi interesserebbe soprattutto la possibilità di usarlo per creare un ambiente ibrido, abbinato ad un semplice window manager...
Avatar utente
anycolouryoulike
Packager
Packager
 
Messaggi: 1158
Iscritto il: gio ago 09, 2007 23:00
Slackware: 12.2
Kernel: 2.6.34.8
Desktop: KDE 3.5.10

Re: Avant Window Navigator e dipendenze

Messaggioda 6C33C » mer lug 14, 2010 15:33

Thraphyx ha scritto:Io ho compilato tutto su una slackware64 13.1 full, quindi senza gnome. Poi dopo le ho installate su una slack con gnome :D
Hai messo tutte le dipendenze, anche GConf, ORbit e pyxdg (di queste ultime non ho messo i link perchè le ho scaricate dal repo di slacky)?
Se hai messo anche queste, che errore ti da la compilazione di AWN?

Si ho usato GConf, ORbit e pyxdg del repo Slacky e poi ho compilato le altre dipendenze usando gli slackbuild all' interno dei pacchetti
oppotunamente modificati per i486 usando io la 13.1 normale.
Questa sera se posso ti posto l errrore, ora sono su una macchina diversa, sempre con slackware ma al lavoro....
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: Avant Window Navigator e dipendenze

Messaggioda Toni » mer lug 14, 2010 16:43

http://slackbuilds.org/repository/13.1/ ... navigator/

con sbopkg si fa tutto in un attimo :)
Avatar utente
Toni
Linux 2.6
Linux 2.6
 
Messaggi: 993
Iscritto il: lun gen 30, 2006 22:08
Località: milano
Slackware: slackware-14
Kernel: 3.10.5
Desktop: i3

Re: Avant Window Navigator e dipendenze

Messaggioda Thraphyx » mer lug 14, 2010 18:04

Toni ha scritto:http://slackbuilds.org/repository/13.1/desktop/avant-window-navigator/

con sbopkg si fa tutto in un attimo :)

Si, avevo visto che c'era su SBo però è la versione vecchia. Quella nuova (la 0.4.0, l'ultima) che ho compilato io richiede qualche altra dipendenza.. e poi volevo fare tutto per slacky :D

anycolouryoulike ha scritto:Se mettessi tutto sul repository credo che sarebbe utile a molti (me per primo :) )

Beh, non sono un packager. Ho chieso a Loris, se mi accetta lo metto volentieri.

Comunque, c'è qualcuno che ha provato i pacchetti? :D
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

Re: Avant Window Navigator e dipendenze

Messaggioda 6C33C » gio lug 15, 2010 6:59

Questo è l' errore che ho compilando AWN.
Sembra che non trovi libdesktop-agnostic ma è installato.

Codice: Seleziona tutto
             Avant Window Navigator 0.4.0
             ============================

                   prefix:   /usr

             Vala Support:   yes

            Documentation:   no

Making all in libawn
  GEN   stamp-awn-enum-types.h
  CC    awn-enum-types.o
In file included from awn-enum-types.c:62:
awn-cairo-utils.h:31:50: error: libdesktop-agnostic/desktop-agnostic.h: No such file or directory
In file included from awn-enum-types.c:62:
awn-cairo-utils.h:61: error: expected declaration specifiers or '...' before 'DesktopAgnosticColor'
awn-cairo-utils.h:65: error: expected declaration specifiers or '...' before 'DesktopAgnosticColor'
awn-cairo-utils.h:70: error: expected declaration specifiers or '...' before 'DesktopAgnosticColor'
awn-cairo-utils.h:77: error: expected declaration specifiers or '...' before 'DesktopAgnosticColor'
awn-cairo-utils.h:82: error: expected declaration specifiers or '...' before 'DesktopAgnosticColor'
In file included from awn-enum-types.c:124:
anims/awn-effects-shared.h:54: error: expected specifier-qualifier-list before 'DesktopAgnosticColor'
make[3]: *** [libawn_la-awn-enum-types.lo] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: Avant Window Navigator e dipendenze

Messaggioda Thraphyx » gio lug 15, 2010 22:16

Non saprei, probabilmente hai mancato qualcosa durante le varie ricompilazioni.. in ogni caso, ho aggiunto al primo post i link per i pacchetti a 32bit (ho messo sù anche un chroot a 32bit :lol: ).
Magari provali e fammi sapere :thumbright:
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

Re: Avant Window Navigator e dipendenze

Messaggioda anycolouryoulike » gio lug 15, 2010 22:47

Io ho installato i tuoi pacchetti su una 64 ma ottengo questo errore:
Codice: Seleziona tutto
**
ERROR:default/libdesktop-agnostic/module.c:336:desktop_agnostic_module_loader_guess_module: assertion failed: (self->priv->module_guesser != NULL)
zsh: abort      avant-window-navigator
Avatar utente
anycolouryoulike
Packager
Packager
 
Messaggi: 1158
Iscritto il: gio ago 09, 2007 23:00
Slackware: 12.2
Kernel: 2.6.34.8
Desktop: KDE 3.5.10

Re: Avant Window Navigator e dipendenze

Messaggioda Thraphyx » gio lug 15, 2010 23:15

Hai installato anche GConf, ORbit e pyxdg che trovi sul repo di slacky?
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

Re: Avant Window Navigator e dipendenze

Messaggioda 6C33C » ven lug 16, 2010 4:35

Thraphyx ha scritto:Non saprei, probabilmente hai mancato qualcosa durante le varie ricompilazioni.. in ogni caso, ho aggiunto al primo post i link per i pacchetti a 32bit (ho messo sù anche un chroot a 32bit :lol: ).
Magari provali e fammi sapere :thumbright:

I Pacchetti li provo grazie.
Ma voglio capire cosa non è andato per il verso giusto.
Non è che mi puoi dare l'ordine di compilazione ? :D
Avatar utente
6C33C
Packager
Packager
 
Messaggi: 254
Iscritto il: gio ott 12, 2006 15:09
Località: Rimini
Nome Cognome: Giorgio
Slackware: 14.0 x86_64
Kernel: 3.9.7
Desktop: kde 4.10.4 ,razorqt

Re: Avant Window Navigator e dipendenze

Messaggioda anycolouryoulike » ven lug 16, 2010 12:04

Thraphyx ha scritto:Hai installato anche GConf, ORbit e pyxdg che trovi sul repo di slacky?
Yes
Avatar utente
anycolouryoulike
Packager
Packager
 
Messaggi: 1158
Iscritto il: gio ago 09, 2007 23:00
Slackware: 12.2
Kernel: 2.6.34.8
Desktop: KDE 3.5.10

Re: Avant Window Navigator e dipendenze

Messaggioda Thraphyx » ven lug 16, 2010 12:15

@ anycolouryoulike
Aspetta... ma stai usando la Slack 13.1? Dal profilo leggo 12.2, non so se non è aggiornato o cosa..

6C33C ha scritto:
Thraphyx ha scritto:Non saprei, probabilmente hai mancato qualcosa durante le varie ricompilazioni.. in ogni caso, ho aggiunto al primo post i link per i pacchetti a 32bit (ho messo sù anche un chroot a 32bit :lol: ).
Magari provali e fammi sapere :thumbright:

I Pacchetti li provo grazie.
Ma voglio capire cosa non è andato per il verso giusto.
Non è che mi puoi dare l'ordine di compilazione ? :D

L'ho scritto nel primo post, te le riscrivo
Codice: Seleziona tutto
gconf
orbit
gobject-introspection
gir-repository
vala
libdesktop-agnostic
pyxdg
libgtop
bazaar
avant-window-navigator
Avatar utente
Thraphyx
Linux 2.4
Linux 2.4
 
Messaggi: 212
Iscritto il: ven ago 28, 2009 21:43
Slackware: 14.1 multilib
Kernel: 3.10.17
Desktop: KDE 4.11.5

Prossimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Heritrix [Crawler] e 1 ospite